package com.ss.android.ugc.aweme.services;

import X.6iy;
import X.C0761ITg;
import X.ISQ;
import X.Lnj;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.i18n.xbridge.IMainXBridgetService;
import java.util.List;

public final class MainXBridgeServiceImpl implements IMainXBridgetService {
    static {
        Covode.recordClassIndex(105125);
    }

    public final List<Class<? extends ISQ<?, ?>>> provideXBridgetIDLMethodList() {
        return 6iy.LIZ(C0761ITg.class);
    }

    public static IMainXBridgetService createIMainXBridgetServicebyMonsterPlugin(boolean z) {
        MethodCollector.i(3172);
        IMainXBridgetService iMainXBridgetService = (IMainXBridgetService) Lnj.LIZ(IMainXBridgetService.class, z);
        if (iMainXBridgetService != null) {
            MethodCollector.o(3172);
            return iMainXBridgetService;
        }
        Object LIZIZ = Lnj.LIZIZ(IMainXBridgetService.class, z);
        if (LIZIZ != null) {
            IMainXBridgetService iMainXBridgetService2 = (IMainXBridgetService) LIZIZ;
            MethodCollector.o(3172);
            return iMainXBridgetService2;
        }
        if (Lnj.au == null) {
            synchronized (IMainXBridgetService.class) {
                try {
                    if (Lnj.au == null) {
                        Lnj.au = new MainXBridgeServiceImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(3172);
                    throw th;
                }
            }
        }
        MainXBridgeServiceImpl mainXBridgeServiceImpl = (MainXBridgeServiceImpl) Lnj.au;
        MethodCollector.o(3172);
        return mainXBridgeServiceImpl;
    }
}
